import { Buff } from '@cmdcode/buff';
import * as util from './lib/util.js';
export function ok(value, message) {
    if (value === false) {
        throw new Error(message ?? 'Assertion failed!');
    }
}
export function is_hex(value) {
    if (!util.is_hex(value)) {
        throw new TypeError(`Invalid hex: ${value}`);
    }
}
export function is_hash(value) {
    if (!util.is_hash(value)) {
        throw new TypeError(`Invalid hash: ${value}`);
    }
}
export function size(input, size) {
    const bytes = Buff.bytes(input);
    if (bytes.length !== size) {
        throw new Error(`Invalid input size: ${bytes.hex} !== ${size}`);
    }
}
export function exists(value, msg) {
    if (!util.exists(value)) {
        throw new Error(msg ?? `Value is null or undefined!`);
    }
}
export function min_value(bytes, min) {
    const val = Buff.bytes(bytes).big;
    if (val < min) {
        throw new TypeError(`Bytes integer value is too low: ${val} < ${min}`);
    }
}
